Bug 1184422 - Escalation and Signal in process definitions cause validation errors
Summary: Escalation and Signal in process definitions cause validation errors
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Jozef Marko
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-21 11:02 UTC by Jozef Marko
Modified: 2018-01-30 12:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
four variants of escalation processes (259.59 KB, application/zip)
2015-04-02 08:51 UTC, Jozef Marko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 458028 None None None Never

Description Jozef Marko 2015-01-21 11:02:28 UTC
See the bug on eclipse bugzilla.

Comment 1 Robert (Bob) Brodt 2015-01-26 20:36:13 UTC
Fixed with Luna build 1.1.1.201501262023

Comment 2 Jozef Marko 2015-02-04 12:21:31 UTC
Verified on BPMN2 Modeler 1.1.1.201501282123

Comment 3 Jozef Marko 2015-02-16 09:00:20 UTC
Not included in jbds-8.0.2.GA_jbdsis-8.0.0.CR2.

Comment 4 Jozef Marko 2015-03-31 11:16:47 UTC
I have to reassign this issue.

In jbds-8.1.0.CR1_jbdsis-8.0.1.CR1-BPMN2 Modeler 1.1.2.Final, if user want to use defined escalation or signal, attribute itemSubjectRef is missing in <dataInput> or <dataOutput> tag of given element. Error like "Data Input Signal_3_Input () has no Data Type" is displayed.

See the attachment 'process with signal' on eclipse bugzilla.

Comment 5 Jozef Marko 2015-04-02 08:50:48 UTC
I have been investigating this issue a little bit more. I have prepared 4 processes with different kinds of escalation elements. In each process is declared variable 'escalationVariable' of type 'java.lang.RuntimeException'. Next in each process is declared escalation of name 'ExceptionEscalation' and code 'java.lang.RuntimeException'

*** escalation_end.bpmn2
In (EscalationEnd) node is selected 'ExceptionEscalation' but no variable for mapping. If you check source view, there are two errors.
1. Data Input Escalation_2_Input () has no Data Type
2. Input to Escalation Event Definition defined in End Event is not mapped to a Source data item

Please select 'escalationVariable' in 'Source' combobox in section 'Map Outgoing Escalation Data From'. Save file and check source view again. There will be still 1. error.

*** escalation_boundary.bpmn2
In (EscalationBoundary) node is selected 'ExceptionEscalation' but no variable for mapping. If you check source view, there is one error.
1. Output from Escalation Event Definition is not mapped to a Target data item

Please select 'escalationVariable' in 'Target' combobox in section 'Map Incoming Escalation Data To'. Save file and check source view again. Old error disappeared and new occured.
1. Data Output Escalation_2_Output () has no Data Type

*** escalation_start.bpmn2
Completely the same situation as in escalation_boundary.bpmn2

*** escalation_throw.bpmn2
Here is the situation complicated a little bit more. In (ThrowEscalation) node is selected 'ExceptionEscalation' but no variable for mapping. If you check source view, there are two errors.
1. Data Input Escalation_1_Input () has no Data Type
2. Input to Escalation Event Definition defined in Intermediate Throw Event is not mapped to a Source data item

If I select 'escalationVariable' in 'Source' combobox and 'java.lang.RuntimeException' for 'Data Type' in section (2), I fix both errors..
If I select 'escalationVariable' in 'Source' combobox in section (1), there will still remain 1. error.

Comment 6 Jozef Marko 2015-04-02 08:51:37 UTC
Created attachment 1010065 [details]
four variants of escalation processes

Comment 7 Robert (Bob) Brodt 2015-06-11 21:27:32 UTC
I believe this has been fixed with bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=463362
Can you please retest with version 1.1.4?

Comment 8 Jozef Marko 2015-06-12 05:03:34 UTC
Fix looks good for plain eclipse with BPMN2 Modeler 1.1.4.201506092231.

I will definitely close this BZ when some jbdsis containing BPMN2 Modeler 1.1.4.* will be available.

Comment 9 Jozef Marko 2015-09-15 12:30:12 UTC
Verified on jbds-9.0.0.CR1_jbdsis-9.0.0.Alpha1.


Note You need to log in before you can comment on or make changes to this bug.